#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define MAX_ITENS    200

#define TAM_ARQNOME  128
#define TAM_NOME      41
#define TAM_END      121
#define TAM_FONE      16
#define TAM_EMAIL     21
#define TAM_CIDADE    11
#define TAM_CEP       10
#define TAM_ESTADO     4
#define TAM_NIVER     10

struct endereco {
  char nome[TAM_NOME];
  char end[TAM_END];
  char fone[TAM_FONE];
  char email[TAM_EMAIL];
  char cidade[TAM_CIDADE];
  char cep[TAM_CEP];
  char estado[TAM_ESTADO];
  char niver[TAM_NIVER];
};


void imprimeItem (struct endereco item)
{
    printf("NOME: %s\n", item.nome);
    printf("ENDERECO: %s\n", item.end);
    printf("FONE: %s\n", item.fone);
    printf("E-MAIL: %s\n", item.email);
    printf("CIDADE: %s\n", item.cidade);
    printf("ESTADO: %s\n", item.estado);
    printf("CEP: %s\n", item.cep);
    printf("-----------------------\n");
}


void imprimeAgenda(struct endereco agenda[])
{
  int i;

  printf("\n\n=====================\n\n");

  for (i=0; strlen(agenda[i].nome); i++)
    imprimeItem(agenda[i]);

  printf("\n\n");
}



int main ()
{

  int i, err;

  struct endereco agenda[MAX_ITENS],
                  ragenda[MAX_ITENS];
  char arquivo[] = "agenda.dat";
  int nitens;
  FILE *fp;
 
  fp = fopen (arquivo, "r");
  
  if (fp == NULL)
    printf("Erro ao abrir arquivo %s\n", arquivo);
  else {
    printf("\n\nLendo agenda do arquivo \"%s\" ....\n\n ", arquivo);
    
    for (i=0, err=0; err != EOF ; i++) {
      err = fscanf(fp, "%s %s %s %s %s %s %s", ragenda[i].nome, 
		   ragenda[i].end, ragenda[i].fone, ragenda[i].email,
		   ragenda[i].cidade, ragenda[i].estado,
		   ragenda[i].cep);
    }
    
    if (err == EOF)
      imprimeAgenda(ragenda);
    else
      printf("Erro na leitura do arquivo %s\n", arquivo);
    
      fclose(fp);     /* fecha arquivo */
  }  /* FIM (fp == NULL) */
}

